% na akkor most tvitelhzi lesz
clear all
clc
%alapmennyisgek meghatrozsa
%forgatvektorok
a = exp(j*120*pi/180);
a2 = a ^2;
%Yd11 miatt:
forg_poz=exp(1i*(-330)*pi/180); % forgats + sorrendre
forg_neg=exp(1i*330*pi/180); % forgats - sorrendre
disp('_________________________________________________________')
disp('ALAPOK')
Sa=260 %MVA
disp('Feszltsg alapok: [kV]')
UaI=19 %kV
UaII=242 %kV
disp('ram alapok: [kA]')
IaI = Sa/(sqrt(3)*UaI)
IaII = Sa/(sqrt(3)*UaII)
disp('Impedancia alapok: Ohm')
ZaI = UaI^2/Sa
ZaII = UaII^2/Sa


% elemek rtkei
%genertor
disp('_________________________________________________________')
disp('Genertor')
x1 = 23
Ung = 19
Sg=260
xg1 = j*(x1/100)*(Ung^2/Sg)*(1/ZaI)
xg2 = xg1
xg0 = 0.8 * xg1
%transzformtor
disp('_________________________________________________________')
disp('Transzformtor')
at = [19, 242]
St = 270
eps = 10
tip = 'Yd11'
xt1 = j*(eps/100)*(at(1)^2/St)*(1/ZaI)
xt2 = xt1
xt0 = xt1
%vezetk
disp('_________________________________________________________')
disp('Vezetk')
L = 25
X1v = 0.42
xv1 = j*(L * X1v)/ZaII
xv2 = xv1
xv0 = 2.5 * xv1
%hlzat
disp('_________________________________________________________')
disp('Hlzat')
UH = 242 
SH = 4000
xh1 = j*(UH^2/SH)*(1/ZaII)
xh2 = xh1
xh0 = xh1
disp('_________________________________________________________')
disp('Forrsok viszanylagos egysgei')
% forrsok viszonylagos egysgei
eg1 = Ung/UaI 
eh1 = UH/UaII
